/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:BUFF.c 12.0$ */
/* $ACIS:BUFF.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/BUFF.c,v $ */

#ifndef lint
static char *rcsid = "$Header:BUFF.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)BUFF.c 1.3 12/9/81";

#include "h00vars.h"

extern char	_sobuf[];

BUFF(amount)

	long		amount;
{
	struct iorec	*curfile;

	curfile = OUTPUT;
	if (amount == 0)
		setbuf(ACTFILE(curfile), 0);
	else if (amount == 2)
		setbuf(ACTFILE(curfile), _sobuf);
}
